# fujimn.hpp File Reference

Fujifilm MakerNote implemented according to the specification in Appendix 4: Makernote of Fujifilm of the document Exif file format by TsuruZoh Tachibanaya. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for fujimn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::FujiMakerNote
| MakerNote for Fujifilm cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createFujiMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Fujifilm MakerNote implemented according to the specification in Appendix 4: Makernote of Fujifilm of the document Exif file format by TsuruZoh Tachibanaya.

Version:
  Rev
    569

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  11-Feb-04, ahu: created